Managing editor integrations

You can install or uninstall plugins for the supported editors from the plugin manager. You can access the plugin manager from the Sidebar. First, click on the gear icon in the bottom right corner.

Next click on the plugins tab.

Allow a couple of seconds for the plugin manager to check which editor plugins are installed. Once the plugin manager is ready, you can install or uninstall plugins for the editors that are installed on your computer.

If the Sidebar is not shown, you can also access the plugin manager by visiting http://localhost:46624/settings/plugins in your browser.

Important: When installing or uninstalling a plugin for an editor, please make sure that your editor is not running. The plugin may not install or uninstall correctly if the editor is running.

Kite currently supports the following editors:

  • Atom
  • Sublime Text 3
  • VS Code
  • IntelliJ
  • PyCharm
  • Vim
  • Neovim
  • Emacs

If you'd like to add support for your favorite editor, get in touch with us at plugins@kite.com